Partner API
Get available hours
GET /api/v2/calendar/hours - Returns the agency available-hours configuration used by the booking calendar.
GET
/api/v2/calendar/hoursReturns the agency available-hours configuration used by the booking calendar.
Required scope: appointments (or *).
curl -s -H "Authorization: Bearer YOUR_TOKEN" \
"https://benefitpath.com/api/v2/calendar/hours"
{
"success": true,
"timezone": "America/New_York",
"agency_uuid": "c0a80101-0000-4000-8000-000000000010",
"available_hours": {
"mon": { "enabled": true, "start": "09:00", "end": "17:00" },
"tue": { "enabled": true, "start": "09:00", "end": "17:00" },
"wed": { "enabled": true, "start": "09:00", "end": "17:00" },
"thu": { "enabled": true, "start": "09:00", "end": "17:00" },
"fri": { "enabled": true, "start": "09:00", "end": "16:00" },
"sat": { "enabled": false, "start": "09:00", "end": "17:00" },
"sun": { "enabled": false, "start": "09:00", "end": "17:00" }
}
}
See Errors for the standard error envelope and rate limits.